namespace HwComWrapperNETGui.UserControls
{
    partial class ChannelConfigurationControlEthernet
    {
        /// <summary> 
        /// Erforderliche Designervariable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary> 
        /// Verwendete Ressourcen bereinigen.
        /// </summary>
        /// <param name="disposing">True, wenn verwaltete Ressourcen gelöscht werden sollen; andernfalls False.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Vom Komponenten-Designer generierter Code

        /// <summary> 
        /// Erforderliche Methode für die Designerunterstützung. 
        /// Der Inhalt der Methode darf nicht mit dem Code-Editor geändert werden.
        /// </summary>
        private void InitializeComponent()
        {
            this.gbEthernetConfig = new System.Windows.Forms.GroupBox();
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.panelFilterActions = new System.Windows.Forms.Panel();
            this.checkBoxFilterConfigurationSF = new System.Windows.Forms.CheckBox();
            this.checkBoxFilterConfigurationAA = new System.Windows.Forms.CheckBox();
            this.buttonResetAllFiltersLIN = new System.Windows.Forms.Button();
            this.buttonSetFilterConfigurationLIN = new System.Windows.Forms.Button();
            this.groupBoxConfigureFilterCANFD = new System.Windows.Forms.GroupBox();
            this.numericUpDownSrcPort = new System.Windows.Forms.NumericUpDown();
            this.numericUpDownDstPort = new System.Windows.Forms.NumericUpDown();
            this.numericUpDownEtherType = new System.Windows.Forms.NumericUpDown();
            this.numericUpDownVLAN = new System.Windows.Forms.NumericUpDown();
            this.checkBoxFilterConfigSrcPort = new System.Windows.Forms.CheckBox();
            this.checkBoxFilterConfigDstPort = new System.Windows.Forms.CheckBox();
            this.textBoxSrcIPv4Filter = new System.Windows.Forms.TextBox();
            this.checkBoxFilterConfigSrcIPv4 = new System.Windows.Forms.CheckBox();
            this.textBoxDstIPv4Filter = new System.Windows.Forms.TextBox();
            this.checkBoxFilterConfigDstIPv4 = new System.Windows.Forms.CheckBox();
            this.checkBoxFilterConfigEtherType = new System.Windows.Forms.CheckBox();
            this.label1 = new System.Windows.Forms.Label();
            this.checkBoxFilterConfigVLAN = new System.Windows.Forms.CheckBox();
            this.textBoxSrcMACFilter = new System.Windows.Forms.TextBox();
            this.checkBoxFilterConfigSrcMAC = new System.Windows.Forms.CheckBox();
            this.textBoxDstMacFilter = new System.Windows.Forms.TextBox();
            this.btRemoveFilter = new System.Windows.Forms.Button();
            this.lvFilters = new System.Windows.Forms.ListView();
            this.coFlagDstMAC = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
            this.coFlagSrcMAC = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
            this.coVLAN = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
            this.coEtherType = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
            this.coDstIPv4 = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
            this.coSrcIPv4 = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
            this.coDstPort = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
            this.coSrcPort = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
            this.checkBoxFilterConfigDstMAC = new System.Windows.Forms.CheckBox();
            this.buttonClearFilterLIN = new System.Windows.Forms.Button();
            this.buttonAddFilterLIN = new System.Windows.Forms.Button();
            this.lbVlanIds = new System.Windows.Forms.Label();
            this.tbVlanIds = new System.Windows.Forms.TextBox();
            this.buttonSetChannelConfiguration = new System.Windows.Forms.Button();
            this.cbPM = new System.Windows.Forms.CheckBox();
            this.tbDestMacAddress = new System.Windows.Forms.TextBox();
            this.lbDestMac = new System.Windows.Forms.Label();
            this.cbMode = new System.Windows.Forms.ComboBox();
            this.lbMode = new System.Windows.Forms.Label();
            this.gbEthernetConfig.SuspendLayout();
            this.groupBox1.SuspendLayout();
            this.panelFilterActions.SuspendLayout();
            this.groupBoxConfigureFilterCANFD.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDownSrcPort)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDownDstPort)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDownEtherType)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDownVLAN)).BeginInit();
            this.SuspendLayout();
            // 
            // gbEthernetConfig
            // 
            this.gbEthernetConfig.Controls.Add(this.groupBox1);
            this.gbEthernetConfig.Controls.Add(this.lbVlanIds);
            this.gbEthernetConfig.Controls.Add(this.tbVlanIds);
            this.gbEthernetConfig.Controls.Add(this.buttonSetChannelConfiguration);
            this.gbEthernetConfig.Controls.Add(this.cbPM);
            this.gbEthernetConfig.Controls.Add(this.tbDestMacAddress);
            this.gbEthernetConfig.Controls.Add(this.lbDestMac);
            this.gbEthernetConfig.Controls.Add(this.cbMode);
            this.gbEthernetConfig.Controls.Add(this.lbMode);
            this.gbEthernetConfig.Location = new System.Drawing.Point(4, 4);
            this.gbEthernetConfig.Name = "gbEthernetConfig";
            this.gbEthernetConfig.Size = new System.Drawing.Size(511, 491);
            this.gbEthernetConfig.TabIndex = 0;
            this.gbEthernetConfig.TabStop = false;
            this.gbEthernetConfig.Text = "COM_AnalyzerConfigureChannelReq";
            // 
            // groupBox1
            // 
            this.groupBox1.Controls.Add(this.panelFilterActions);
            this.groupBox1.Controls.Add(this.groupBoxConfigureFilterCANFD);
            this.groupBox1.Location = new System.Drawing.Point(-1, 119);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(512, 368);
            this.groupBox1.TabIndex = 48;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "COM_AnalyzerConfigureFilterReq && COM_AnalyzerResetAllFiltersReq";
            // 
            // panelFilterActions
            // 
            this.panelFilterActions.Controls.Add(this.checkBoxFilterConfigurationSF);
            this.panelFilterActions.Controls.Add(this.checkBoxFilterConfigurationAA);
            this.panelFilterActions.Controls.Add(this.buttonResetAllFiltersLIN);
            this.panelFilterActions.Controls.Add(this.buttonSetFilterConfigurationLIN);
            this.panelFilterActions.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.panelFilterActions.Location = new System.Drawing.Point(3, 335);
            this.panelFilterActions.Name = "panelFilterActions";
            this.panelFilterActions.Size = new System.Drawing.Size(506, 30);
            this.panelFilterActions.TabIndex = 30;
            // 
            // checkBoxFilterConfigurationSF
            // 
            this.checkBoxFilterConfigurationSF.AutoSize = true;
            this.checkBoxFilterConfigurationSF.Checked = true;
            this.checkBoxFilterConfigurationSF.CheckState = System.Windows.Forms.CheckState.Checked;
            this.checkBoxFilterConfigurationSF.Location = new System.Drawing.Point(3, 7);
            this.checkBoxFilterConfigurationSF.Name = "checkBoxFilterConfigurationSF";
            this.checkBoxFilterConfigurationSF.Size = new System.Drawing.Size(90, 17);
            this.checkBoxFilterConfigurationSF.TabIndex = 28;
            this.checkBoxFilterConfigurationSF.Text = "Set Filter Flag";
            this.checkBoxFilterConfigurationSF.UseVisualStyleBackColor = true;
            // 
            // checkBoxFilterConfigurationAA
            // 
            this.checkBoxFilterConfigurationAA.AutoSize = true;
            this.checkBoxFilterConfigurationAA.Checked = true;
            this.checkBoxFilterConfigurationAA.CheckState = System.Windows.Forms.CheckState.Checked;
            this.checkBoxFilterConfigurationAA.Location = new System.Drawing.Point(98, 7);
            this.checkBoxFilterConfigurationAA.Name = "checkBoxFilterConfigurationAA";
            this.checkBoxFilterConfigurationAA.Size = new System.Drawing.Size(97, 17);
            this.checkBoxFilterConfigurationAA.TabIndex = 28;
            this.checkBoxFilterConfigurationAA.Text = "Accept All Flag";
            this.checkBoxFilterConfigurationAA.UseVisualStyleBackColor = true;
            // 
            // buttonResetAllFiltersLIN
            // 
            this.buttonResetAllFiltersLIN.Location = new System.Drawing.Point(264, 3);
            this.buttonResetAllFiltersLIN.Name = "buttonResetAllFiltersLIN";
            this.buttonResetAllFiltersLIN.Size = new System.Drawing.Size(75, 23);
            this.buttonResetAllFiltersLIN.TabIndex = 0;
            this.buttonResetAllFiltersLIN.Text = "Reset All";
            this.buttonResetAllFiltersLIN.UseVisualStyleBackColor = true;
            this.buttonResetAllFiltersLIN.Click += new System.EventHandler(this.buttonResetAllFiltersETH_Click);
            // 
            // buttonSetFilterConfigurationLIN
            // 
            this.buttonSetFilterConfigurationLIN.Location = new System.Drawing.Point(342, 3);
            this.buttonSetFilterConfigurationLIN.Name = "buttonSetFilterConfigurationLIN";
            this.buttonSetFilterConfigurationLIN.Size = new System.Drawing.Size(155, 23);
            this.buttonSetFilterConfigurationLIN.TabIndex = 2;
            this.buttonSetFilterConfigurationLIN.Text = "Set Filter Configuration";
            this.buttonSetFilterConfigurationLIN.UseVisualStyleBackColor = true;
            this.buttonSetFilterConfigurationLIN.Click += new System.EventHandler(this.buttonSetFilterConfigurationETH_Click);
            // 
            // groupBoxConfigureFilterCANFD
            // 
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.numericUpDownSrcPort);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.numericUpDownDstPort);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.numericUpDownEtherType);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.numericUpDownVLAN);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.checkBoxFilterConfigSrcPort);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.checkBoxFilterConfigDstPort);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.textBoxSrcIPv4Filter);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.checkBoxFilterConfigSrcIPv4);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.textBoxDstIPv4Filter);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.checkBoxFilterConfigDstIPv4);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.checkBoxFilterConfigEtherType);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.label1);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.checkBoxFilterConfigVLAN);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.textBoxSrcMACFilter);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.checkBoxFilterConfigSrcMAC);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.textBoxDstMacFilter);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.btRemoveFilter);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.lvFilters);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.checkBoxFilterConfigDstMAC);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.buttonClearFilterLIN);
            this.groupBoxConfigureFilterCANFD.Controls.Add(this.buttonAddFilterLIN);
            this.groupBoxConfigureFilterCANFD.Dock = System.Windows.Forms.DockStyle.Fill;
            this.groupBoxConfigureFilterCANFD.Location = new System.Drawing.Point(3, 16);
            this.groupBoxConfigureFilterCANFD.Name = "groupBoxConfigureFilterCANFD";
            this.groupBoxConfigureFilterCANFD.Size = new System.Drawing.Size(506, 349);
            this.groupBoxConfigureFilterCANFD.TabIndex = 29;
            this.groupBoxConfigureFilterCANFD.TabStop = false;
            // 
            // numericUpDownSrcPort
            // 
            this.numericUpDownSrcPort.Enabled = false;
            this.numericUpDownSrcPort.Location = new System.Drawing.Point(142, 179);
            this.numericUpDownSrcPort.Maximum = new decimal(new int[] {
            65535,
            0,
            0,
            0});
            this.numericUpDownSrcPort.Name = "numericUpDownSrcPort";
            this.numericUpDownSrcPort.Size = new System.Drawing.Size(120, 20);
            this.numericUpDownSrcPort.TabIndex = 55;
            // 
            // numericUpDownDstPort
            // 
            this.numericUpDownDstPort.Enabled = false;
            this.numericUpDownDstPort.Location = new System.Drawing.Point(142, 156);
            this.numericUpDownDstPort.Maximum = new decimal(new int[] {
            65535,
            0,
            0,
            0});
            this.numericUpDownDstPort.Name = "numericUpDownDstPort";
            this.numericUpDownDstPort.Size = new System.Drawing.Size(120, 20);
            this.numericUpDownDstPort.TabIndex = 54;
            // 
            // numericUpDownEtherType
            // 
            this.numericUpDownEtherType.Enabled = false;
            this.numericUpDownEtherType.Location = new System.Drawing.Point(142, 87);
            this.numericUpDownEtherType.Maximum = new decimal(new int[] {
            65535,
            0,
            0,
            0});
            this.numericUpDownEtherType.Name = "numericUpDownEtherType";
            this.numericUpDownEtherType.Size = new System.Drawing.Size(120, 20);
            this.numericUpDownEtherType.TabIndex = 53;
            // 
            // numericUpDownVLAN
            // 
            this.numericUpDownVLAN.Enabled = false;
            this.numericUpDownVLAN.Location = new System.Drawing.Point(142, 64);
            this.numericUpDownVLAN.Maximum = new decimal(new int[] {
            4095,
            0,
            0,
            0});
            this.numericUpDownVLAN.Name = "numericUpDownVLAN";
            this.numericUpDownVLAN.Size = new System.Drawing.Size(120, 20);
            this.numericUpDownVLAN.TabIndex = 52;
            // 
            // checkBoxFilterConfigSrcPort
            // 
            this.checkBoxFilterConfigSrcPort.AutoSize = true;
            this.checkBoxFilterConfigSrcPort.Location = new System.Drawing.Point(6, 180);
            this.checkBoxFilterConfigSrcPort.Name = "checkBoxFilterConfigSrcPort";
            this.checkBoxFilterConfigSrcPort.Size = new System.Drawing.Size(107, 17);
            this.checkBoxFilterConfigSrcPort.TabIndex = 50;
            this.checkBoxFilterConfigSrcPort.Text = "Source Port Filter";
            this.checkBoxFilterConfigSrcPort.UseVisualStyleBackColor = true;
            this.checkBoxFilterConfigSrcPort.CheckedChanged += new System.EventHandler(this.checkBoxFilterConfigSrcPort_CheckedChanged);
            // 
            // checkBoxFilterConfigDstPort
            // 
            this.checkBoxFilterConfigDstPort.AutoSize = true;
            this.checkBoxFilterConfigDstPort.Location = new System.Drawing.Point(6, 157);
            this.checkBoxFilterConfigDstPort.Name = "checkBoxFilterConfigDstPort";
            this.checkBoxFilterConfigDstPort.Size = new System.Drawing.Size(126, 17);
            this.checkBoxFilterConfigDstPort.TabIndex = 48;
            this.checkBoxFilterConfigDstPort.Text = "Destination Port Filter";
            this.checkBoxFilterConfigDstPort.UseVisualStyleBackColor = true;
            this.checkBoxFilterConfigDstPort.CheckedChanged += new System.EventHandler(this.checkBoxFilterConfigDstPort_CheckedChanged);
            // 
            // textBoxSrcIPv4Filter
            // 
            this.textBoxSrcIPv4Filter.Enabled = false;
            this.textBoxSrcIPv4Filter.Location = new System.Drawing.Point(142, 132);
            this.textBoxSrcIPv4Filter.MaxLength = 17;
            this.textBoxSrcIPv4Filter.Name = "textBoxSrcIPv4Filter";
            this.textBoxSrcIPv4Filter.Size = new System.Drawing.Size(122, 20);
            this.textBoxSrcIPv4Filter.TabIndex = 47;
            this.textBoxSrcIPv4Filter.Text = "192.168.1.100";
            // 
            // checkBoxFilterConfigSrcIPv4
            // 
            this.checkBoxFilterConfigSrcIPv4.AutoSize = true;
            this.checkBoxFilterConfigSrcIPv4.Location = new System.Drawing.Point(6, 134);
            this.checkBoxFilterConfigSrcIPv4.Name = "checkBoxFilterConfigSrcIPv4";
            this.checkBoxFilterConfigSrcIPv4.Size = new System.Drawing.Size(110, 17);
            this.checkBoxFilterConfigSrcIPv4.TabIndex = 46;
            this.checkBoxFilterConfigSrcIPv4.Text = "Source IPv4 Filter";
            this.checkBoxFilterConfigSrcIPv4.UseVisualStyleBackColor = true;
            this.checkBoxFilterConfigSrcIPv4.CheckedChanged += new System.EventHandler(this.checkBoxFilterConfigSrcIPv4_CheckedChanged);
            // 
            // textBoxDstIPv4Filter
            // 
            this.textBoxDstIPv4Filter.Enabled = false;
            this.textBoxDstIPv4Filter.Location = new System.Drawing.Point(142, 109);
            this.textBoxDstIPv4Filter.MaxLength = 17;
            this.textBoxDstIPv4Filter.Name = "textBoxDstIPv4Filter";
            this.textBoxDstIPv4Filter.Size = new System.Drawing.Size(122, 20);
            this.textBoxDstIPv4Filter.TabIndex = 45;
            this.textBoxDstIPv4Filter.Text = "192.168.1.100";
            // 
            // checkBoxFilterConfigDstIPv4
            // 
            this.checkBoxFilterConfigDstIPv4.AutoSize = true;
            this.checkBoxFilterConfigDstIPv4.Location = new System.Drawing.Point(6, 111);
            this.checkBoxFilterConfigDstIPv4.Name = "checkBoxFilterConfigDstIPv4";
            this.checkBoxFilterConfigDstIPv4.Size = new System.Drawing.Size(129, 17);
            this.checkBoxFilterConfigDstIPv4.TabIndex = 44;
            this.checkBoxFilterConfigDstIPv4.Text = "Destination IPv4 Filter";
            this.checkBoxFilterConfigDstIPv4.UseVisualStyleBackColor = true;
            this.checkBoxFilterConfigDstIPv4.CheckedChanged += new System.EventHandler(this.checkBoxFilterConfigDstIPv4_CheckedChanged);
            // 
            // checkBoxFilterConfigEtherType
            // 
            this.checkBoxFilterConfigEtherType.AutoSize = true;
            this.checkBoxFilterConfigEtherType.Location = new System.Drawing.Point(6, 88);
            this.checkBoxFilterConfigEtherType.Name = "checkBoxFilterConfigEtherType";
            this.checkBoxFilterConfigEtherType.Size = new System.Drawing.Size(100, 17);
            this.checkBoxFilterConfigEtherType.TabIndex = 42;
            this.checkBoxFilterConfigEtherType.Text = "EtherType Filter";
            this.checkBoxFilterConfigEtherType.UseVisualStyleBackColor = true;
            this.checkBoxFilterConfigEtherType.CheckedChanged += new System.EventHandler(this.checkBoxFilterConfigEtherType_CheckedChanged);
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(270, 66);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(46, 13);
            this.label1.TabIndex = 41;
            this.label1.Text = "1 - 4094";
            // 
            // checkBoxFilterConfigVLAN
            // 
            this.checkBoxFilterConfigVLAN.AutoSize = true;
            this.checkBoxFilterConfigVLAN.Location = new System.Drawing.Point(6, 65);
            this.checkBoxFilterConfigVLAN.Name = "checkBoxFilterConfigVLAN";
            this.checkBoxFilterConfigVLAN.Size = new System.Drawing.Size(93, 17);
            this.checkBoxFilterConfigVLAN.TabIndex = 39;
            this.checkBoxFilterConfigVLAN.Text = "VLAN-ID Filter";
            this.checkBoxFilterConfigVLAN.UseVisualStyleBackColor = true;
            this.checkBoxFilterConfigVLAN.CheckedChanged += new System.EventHandler(this.checkBoxFilterConfigVLAN_CheckedChanged);
            // 
            // textBoxSrcMACFilter
            // 
            this.textBoxSrcMACFilter.Enabled = false;
            this.textBoxSrcMACFilter.Location = new System.Drawing.Point(142, 40);
            this.textBoxSrcMACFilter.MaxLength = 17;
            this.textBoxSrcMACFilter.Name = "textBoxSrcMACFilter";
            this.textBoxSrcMACFilter.Size = new System.Drawing.Size(122, 20);
            this.textBoxSrcMACFilter.TabIndex = 38;
            this.textBoxSrcMACFilter.Text = "00:23:45:AB:CD:EF";
            // 
            // checkBoxFilterConfigSrcMAC
            // 
            this.checkBoxFilterConfigSrcMAC.AutoSize = true;
            this.checkBoxFilterConfigSrcMAC.Location = new System.Drawing.Point(6, 42);
            this.checkBoxFilterConfigSrcMAC.Name = "checkBoxFilterConfigSrcMAC";
            this.checkBoxFilterConfigSrcMAC.Size = new System.Drawing.Size(111, 17);
            this.checkBoxFilterConfigSrcMAC.TabIndex = 37;
            this.checkBoxFilterConfigSrcMAC.Text = "Source MAC Filter";
            this.checkBoxFilterConfigSrcMAC.UseVisualStyleBackColor = true;
            this.checkBoxFilterConfigSrcMAC.CheckedChanged += new System.EventHandler(this.checkBoxFilterConfigSrcMAC_CheckedChanged);
            // 
            // textBoxDstMacFilter
            // 
            this.textBoxDstMacFilter.Enabled = false;
            this.textBoxDstMacFilter.Location = new System.Drawing.Point(142, 17);
            this.textBoxDstMacFilter.MaxLength = 17;
            this.textBoxDstMacFilter.Name = "textBoxDstMacFilter";
            this.textBoxDstMacFilter.Size = new System.Drawing.Size(122, 20);
            this.textBoxDstMacFilter.TabIndex = 36;
            this.textBoxDstMacFilter.Text = "00:23:45:AB:CD:EF";
            // 
            // btRemoveFilter
            // 
            this.btRemoveFilter.Location = new System.Drawing.Point(398, 232);
            this.btRemoveFilter.Name = "btRemoveFilter";
            this.btRemoveFilter.Size = new System.Drawing.Size(99, 23);
            this.btRemoveFilter.TabIndex = 35;
            this.btRemoveFilter.Text = "Remove";
            this.btRemoveFilter.UseVisualStyleBackColor = true;
            this.btRemoveFilter.Click += new System.EventHandler(this.btRemoveFilter_Click);
            // 
            // lvFilters
            // 
            this.lvFilters.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
            this.coFlagDstMAC,
            this.coFlagSrcMAC,
            this.coVLAN,
            this.coEtherType,
            this.coDstIPv4,
            this.coSrcIPv4,
            this.coDstPort,
            this.coSrcPort});
            this.lvFilters.FullRowSelect = true;
            this.lvFilters.Location = new System.Drawing.Point(6, 203);
            this.lvFilters.Name = "lvFilters";
            this.lvFilters.Size = new System.Drawing.Size(386, 114);
            this.lvFilters.TabIndex = 34;
            this.lvFilters.UseCompatibleStateImageBehavior = false;
            this.lvFilters.View = System.Windows.Forms.View.Details;
            // 
            // coFlagDstMAC
            // 
            this.coFlagDstMAC.Text = "DstMAC";
            this.coFlagDstMAC.Width = 90;
            // 
            // coFlagSrcMAC
            // 
            this.coFlagSrcMAC.Text = "SrcMAC";
            this.coFlagSrcMAC.Width = 90;
            // 
            // coVLAN
            // 
            this.coVLAN.Text = "VLAN";
            this.coVLAN.Width = 50;
            // 
            // coEtherType
            // 
            this.coEtherType.Text = "EtherType";
            this.coEtherType.Width = 70;
            // 
            // coDstIPv4
            // 
            this.coDstIPv4.Text = "DstIPv4";
            this.coDstIPv4.Width = 90;
            // 
            // coSrcIPv4
            // 
            this.coSrcIPv4.Text = "SrcIPv4";
            this.coSrcIPv4.Width = 90;
            // 
            // coDstPort
            // 
            this.coDstPort.Text = "DstPort";
            this.coDstPort.Width = 80;
            // 
            // coSrcPort
            // 
            this.coSrcPort.Text = "SrcPort";
            this.coSrcPort.Width = 80;
            // 
            // checkBoxFilterConfigDstMAC
            // 
            this.checkBoxFilterConfigDstMAC.AutoSize = true;
            this.checkBoxFilterConfigDstMAC.Location = new System.Drawing.Point(6, 19);
            this.checkBoxFilterConfigDstMAC.Name = "checkBoxFilterConfigDstMAC";
            this.checkBoxFilterConfigDstMAC.Size = new System.Drawing.Size(130, 17);
            this.checkBoxFilterConfigDstMAC.TabIndex = 30;
            this.checkBoxFilterConfigDstMAC.Text = "Destination MAC Filter";
            this.checkBoxFilterConfigDstMAC.UseVisualStyleBackColor = true;
            this.checkBoxFilterConfigDstMAC.CheckedChanged += new System.EventHandler(this.checkBoxFilterConfigDstMAC_CheckedChanged);
            // 
            // buttonClearFilterLIN
            // 
            this.buttonClearFilterLIN.Location = new System.Drawing.Point(398, 294);
            this.buttonClearFilterLIN.Name = "buttonClearFilterLIN";
            this.buttonClearFilterLIN.Size = new System.Drawing.Size(99, 23);
            this.buttonClearFilterLIN.TabIndex = 29;
            this.buttonClearFilterLIN.Text = "Clear";
            this.buttonClearFilterLIN.UseVisualStyleBackColor = true;
            this.buttonClearFilterLIN.Click += new System.EventHandler(this.buttonClearFilterLIN_Click);
            // 
            // buttonAddFilterLIN
            // 
            this.buttonAddFilterLIN.Location = new System.Drawing.Point(398, 203);
            this.buttonAddFilterLIN.Name = "buttonAddFilterLIN";
            this.buttonAddFilterLIN.Size = new System.Drawing.Size(99, 23);
            this.buttonAddFilterLIN.TabIndex = 28;
            this.buttonAddFilterLIN.Text = "Add";
            this.buttonAddFilterLIN.UseVisualStyleBackColor = true;
            this.buttonAddFilterLIN.Click += new System.EventHandler(this.buttonAddFilterLIN_Click);
            // 
            // lbVlanIds
            // 
            this.lbVlanIds.AutoSize = true;
            this.lbVlanIds.Location = new System.Drawing.Point(41, 73);
            this.lbVlanIds.Name = "lbVlanIds";
            this.lbVlanIds.Size = new System.Drawing.Size(57, 13);
            this.lbVlanIds.TabIndex = 47;
            this.lbVlanIds.Text = "VLAN IDs:";
            // 
            // tbVlanIds
            // 
            this.tbVlanIds.Location = new System.Drawing.Point(104, 70);
            this.tbVlanIds.Multiline = true;
            this.tbVlanIds.Name = "tbVlanIds";
            this.tbVlanIds.Size = new System.Drawing.Size(219, 43);
            this.tbVlanIds.TabIndex = 46;
            this.tbVlanIds.Text = "10, 20, 127";
            // 
            // buttonSetChannelConfiguration
            // 
            this.buttonSetChannelConfiguration.Location = new System.Drawing.Point(338, 90);
            this.buttonSetChannelConfiguration.Name = "buttonSetChannelConfiguration";
            this.buttonSetChannelConfiguration.Size = new System.Drawing.Size(150, 23);
            this.buttonSetChannelConfiguration.TabIndex = 45;
            this.buttonSetChannelConfiguration.Text = "Set Channel Configuration";
            this.buttonSetChannelConfiguration.UseVisualStyleBackColor = true;
            this.buttonSetChannelConfiguration.Click += new System.EventHandler(this.OnButtonSetChannelConfigurationClicked);
            // 
            // cbPM
            // 
            this.cbPM.AutoSize = true;
            this.cbPM.Location = new System.Drawing.Point(338, 21);
            this.cbPM.Name = "cbPM";
            this.cbPM.Size = new System.Drawing.Size(110, 17);
            this.cbPM.TabIndex = 5;
            this.cbPM.Text = "Promiscous Mode";
            this.cbPM.UseVisualStyleBackColor = true;
            // 
            // tbDestMacAddress
            // 
            this.tbDestMacAddress.Location = new System.Drawing.Point(104, 46);
            this.tbDestMacAddress.MaxLength = 17;
            this.tbDestMacAddress.Name = "tbDestMacAddress";
            this.tbDestMacAddress.Size = new System.Drawing.Size(219, 20);
            this.tbDestMacAddress.TabIndex = 4;
            this.tbDestMacAddress.Text = "00:23:45:AB:CD:EF";
            // 
            // lbDestMac
            // 
            this.lbDestMac.AutoSize = true;
            this.lbDestMac.Location = new System.Drawing.Point(5, 49);
            this.lbDestMac.Name = "lbDestMac";
            this.lbDestMac.Size = new System.Drawing.Size(99, 13);
            this.lbDestMac.TabIndex = 2;
            this.lbDestMac.Text = "Local Device MAC:";
            this.lbDestMac.Click += new System.EventHandler(this.lbDestMac_Click);
            // 
            // cbMode
            // 
            this.cbMode.FormattingEnabled = true;
            this.cbMode.Location = new System.Drawing.Point(104, 19);
            this.cbMode.Name = "cbMode";
            this.cbMode.Size = new System.Drawing.Size(219, 21);
            this.cbMode.TabIndex = 1;
            // 
            // lbMode
            // 
            this.lbMode.AutoSize = true;
            this.lbMode.Location = new System.Drawing.Point(61, 21);
            this.lbMode.Name = "lbMode";
            this.lbMode.Size = new System.Drawing.Size(37, 13);
            this.lbMode.TabIndex = 0;
            this.lbMode.Text = "Mode:";
            // 
            // ChannelConfigurationControlEthernet
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.AutoSize = true;
            this.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
            this.Controls.Add(this.gbEthernetConfig);
            this.Name = "ChannelConfigurationControlEthernet";
            this.Size = new System.Drawing.Size(518, 498);
            this.Load += new System.EventHandler(this.ChannelConfigurationControlEthernet_Load);
            this.gbEthernetConfig.ResumeLayout(false);
            this.gbEthernetConfig.PerformLayout();
            this.groupBox1.ResumeLayout(false);
            this.panelFilterActions.ResumeLayout(false);
            this.panelFilterActions.PerformLayout();
            this.groupBoxConfigureFilterCANFD.ResumeLayout(false);
            this.groupBoxConfigureFilterCANFD.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDownSrcPort)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDownDstPort)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDownEtherType)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDownVLAN)).EndInit();
            this.ResumeLayout(false);

        }

        #endregion

        private System.Windows.Forms.GroupBox gbEthernetConfig;
        private System.Windows.Forms.ComboBox cbMode;
        private System.Windows.Forms.Label lbMode;
        private System.Windows.Forms.Label lbDestMac;
        private System.Windows.Forms.TextBox tbDestMacAddress;
        private System.Windows.Forms.CheckBox cbPM;
        private System.Windows.Forms.Button buttonSetChannelConfiguration;
        private System.Windows.Forms.TextBox tbVlanIds;
        private System.Windows.Forms.Label lbVlanIds;
        private System.Windows.Forms.GroupBox groupBox1;
        private System.Windows.Forms.Panel panelFilterActions;
        private System.Windows.Forms.CheckBox checkBoxFilterConfigurationSF;
        private System.Windows.Forms.CheckBox checkBoxFilterConfigurationAA;
        private System.Windows.Forms.Button buttonResetAllFiltersLIN;
        private System.Windows.Forms.Button buttonSetFilterConfigurationLIN;
        private System.Windows.Forms.GroupBox groupBoxConfigureFilterCANFD;
        private System.Windows.Forms.Button btRemoveFilter;
        private System.Windows.Forms.ListView lvFilters;
        private System.Windows.Forms.ColumnHeader coFlagDstMAC;
        private System.Windows.Forms.Button buttonClearFilterLIN;
        private System.Windows.Forms.Button buttonAddFilterLIN;
        private System.Windows.Forms.CheckBox checkBoxFilterConfigDstMAC;
        private System.Windows.Forms.TextBox textBoxDstIPv4Filter;
        private System.Windows.Forms.CheckBox checkBoxFilterConfigDstIPv4;
        private System.Windows.Forms.CheckBox checkBoxFilterConfigEtherType;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.CheckBox checkBoxFilterConfigVLAN;
        private System.Windows.Forms.TextBox textBoxSrcMACFilter;
        private System.Windows.Forms.CheckBox checkBoxFilterConfigSrcMAC;
        private System.Windows.Forms.TextBox textBoxDstMacFilter;
        private System.Windows.Forms.CheckBox checkBoxFilterConfigSrcPort;
        private System.Windows.Forms.CheckBox checkBoxFilterConfigDstPort;
        private System.Windows.Forms.TextBox textBoxSrcIPv4Filter;
        private System.Windows.Forms.CheckBox checkBoxFilterConfigSrcIPv4;
        private System.Windows.Forms.NumericUpDown numericUpDownVLAN;
        private System.Windows.Forms.NumericUpDown numericUpDownEtherType;
        private System.Windows.Forms.NumericUpDown numericUpDownSrcPort;
        private System.Windows.Forms.NumericUpDown numericUpDownDstPort;
        private System.Windows.Forms.ColumnHeader coFlagSrcMAC;
        private System.Windows.Forms.ColumnHeader coVLAN;
        private System.Windows.Forms.ColumnHeader coEtherType;
        private System.Windows.Forms.ColumnHeader coDstIPv4;
        private System.Windows.Forms.ColumnHeader coSrcIPv4;
        private System.Windows.Forms.ColumnHeader coDstPort;
        private System.Windows.Forms.ColumnHeader coSrcPort;
    }
}
